@echo off

REM current directory
cd %~dp0

set test_duration=60
set update_interval=15

echo Running speed tests for %computername%
echo.

for /l %%kbps in (256,512,1024,2048) do (
  echo 60 sec UDP test at %%kbps kbps ...
  iperf3.exe -c speedtest.cvn.com -i %update_interval% -t %test_duration% --extra-data %computername% -u -b %%kbps%K
)

echo 60 sec unlimited bandwidth TCP test ...
iperf3.exe -c speedtest.cvn.com -i %update_interval% -t %test_duration% --extra-data %computername%
